#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_YB_PE(void)
{
#if (PRO_YB_PE) 
   SetTelltalePos("HBA Green",             HBAGreen);
   SetTelltalePos("HBA White",             HBAWhite);
   SetTelltalePos("HighBeam",              HighBeam);
   SetTelltalePos("LowBeam",                LowBeam);
   SetTelltalePos("LeftTurn",              LeftTurn);
   SetTelltalePos("RightTurn",            RightTurn);
   SetTelltalePos("Front Fog",             FrontFog);
   SetTelltalePos("RearFog",                RearFog);
   SetTelltalePos("ParkingBreak",      ParkingBreak);
   SetTelltalePos("ABS",                        ABS);
   SetTelltalePos("LED Lamp Fail",      LedLampFail);
   SetTelltalePos("SeatBelt",              SeatBelt);
   SetTelltalePos("FCA Yellow",           FcaYellow);
   SetTelltalePos("FCA RedBlink",            FcaRed);
   SetTelltalePos("LdwLkaGreen",        LdwLkaGreen);
   SetTelltalePos("LdwLkaGray",          LdwLkaGray);
   SetTelltalePos("LdwLkaYellow",      LdwLkaYellow);
   SetTelltalePos("LfaHdaGreen",        LfaHdaGreen);
   SetTelltalePos("LfaHdaWhite",        LfaHdaWhite);
   SetTelltalePos("LfaHdaGray",          LfaHdaGray);
   SetTelltalePos("ISLA",                      ISLA);
   SetTelltalePos("DAW",                  DAW_Blink);
   SetTelltalePos("ICE WARNING",         IceWarning);
   SetTelltalePos("Mdps",                      Mdps);
   SetTelltalePos("Tpms",                      Tpms);
   SetTelltalePos("Immobilizer",        Immobilizer);
   SetTelltalePos("MasterSymbol",      MasterSymbol);
   SetTelltalePos("CheckEngine",        CheckEngine);
   SetTelltalePos("BatteryCharge",    BatteryCharge);
   SetTelltalePos("AirBag",                  AirBag);
   SetTelltalePos("OilPressure",        OilPressure);
   SetTelltalePos("DpfGpf",                  DpfGpf);
   SetTelltalePos("ESC",                        ESC);
   SetTelltalePos("EscOff",                  EscOff);
   SetTelltalePos("LowFuel",     DMS_RestoreDefault);
   SetTelltalePos("",                   DMS_Led_Low);
   SetTelltalePos("",                   DMS_Led_Low);
   SetTelltalePos("",                   DMS_Led_Low);
   SetTelltalePos("RestoreDefault",        DMS_RestoreDefault);
#endif
}


